> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outai.top/llms.txt
> Use this file to discover all available pages before exploring further.

# Check API credits

> Returns the current API credit balance for the authenticated user.



## OpenAPI

````yaml /openapi.json get /v1/credits
openapi: 3.1.0
info:
  title: Seedance 2.0 API
  version: 1.0.0
  description: >-
    API for creating Seedance 2.0 video tasks, checking task status, and
    retrieving API credit balance.
servers:
  - url: https://api.outai.top/api
security: []
paths:
  /v1/credits:
    get:
      summary: Check API credits
      description: Returns the current API credit balance for the authenticated user.
      operationId: getCredits
      responses:
        '200':
          description: Credits retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditsResponse'
        '400':
          description: Request failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    CreditsResponse:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/CreditsData'
    ErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          properties:
            data:
              type: 'null'
              example: null
    EnvelopeBase:
      type: object
      properties:
        code:
          type: integer
          example: 200
        trace_id:
          type: string
          example: 45c30d76f06549b199a3775544523689
        message:
          type:
            - string
            - 'null'
          example: null
    CreditsData:
      type: object
      properties:
        api_available_credits:
          type: number
          example: 47995
        api_total_credits:
          type: number
          example: 51000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````